Name:           python-django-esteid
Version:        4.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Django-esteid is a package that provides Esteid based authentication for your Django applications.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/thorgate/django-esteid
Source:         %{pypi_source django_esteid}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-esteid' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-esteid
Summary:        %{summary}

%description -n python3-django-esteid %_description


%prep
%autosetup -p1 -n django_esteid-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-esteid -f %{pyproject_files}


%changelog
%autochangelog